#include <stdio.h>
#include <string.h>

void strCopy(const char *str1, char *str2) {
    int len = strlen(str1);
    int i, j = 0;
    for (i = 0; i < len; i += 2) {
        str2[j++] = str1[i];
    }
    str2[j] = '\0';
}

int main() {
    char str1[100];
    char str2[100];

    fgets(str1, sizeof(str1), stdin);

    str1[strcspn(str1, "\n")] = '\0';

    strCopy(str1, str2);

    printf("%s\n", str2);

    return 0;
}
